# Generated by Django 4.2.1 on 2023-08-08 22:49

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('organizations', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='DefaultProfile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(default=uuid.uuid4, help_text='User UUID')),
                ('token', models.CharField(help_text='Token used to authenticate requests with', max_length=50)),
                ('azure_openai_api_key', models.CharField(blank=True, default=None, help_text='Azure OpenAI key to use with Azure backend', max_length=256, null=True)),
                ('openai_key', models.CharField(blank=True, default=None, help_text='OpenAI key to use with OpenAI backend', max_length=256, null=True)),
                ('stabilityai_key', models.CharField(blank=True, default=None, help_text='StabilityAI key to use with StabilityAI backend', max_length=256, null=True)),
                ('cohere_key', models.CharField(blank=True, default=None, help_text='Cohere API key to use with Cohere backend', max_length=256, null=True)),
                ('forefrontai_key', models.CharField(blank=True, default=None, help_text='ForefrontAI API key to use with ForefrontAI backend', max_length=256, null=True)),
                ('elevenlabs_key', models.CharField(blank=True, default=None, help_text='Elevenlabs API key to use with Elevenlabs backend', max_length=256, null=True)),
                ('google_service_account_json_key', models.TextField(blank=True, default=None, help_text='Google service account key to use with Google backend', null=True)),
                ('aws_access_key_id', models.CharField(blank=True, default=None, help_text='AWS access key id to use with AWS backend', max_length=256, null=True)),
                ('aws_secret_access_key', models.CharField(blank=True, default=None, help_text='AWS access key secret to use with AWS backend', max_length=256, null=True)),
                ('aws_default_region', models.CharField(blank=True, default=None, help_text='AWS default region to use with AWS backend', max_length=64, null=True)),
                ('logo', models.TextField(blank=True, default='', help_text='Logo to use for the user', null=True)),
                ('organization', models.ForeignKey(blank=True, default=None, help_text='Organization this user belongs to', null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='organization', to='organizations.organization')),
                ('user', models.OneToOneField(help_text='User this profile belongs to', on_delete=django.db.models.deletion.DO_NOTHING, related_name='user', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'base_profile',
            },
        ),
    ]
